# Uses of Class
org.eclipse.birt.chart.render.BaseRenderer

Packages that use BaseRenderer
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of BaseRenderer in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return BaseRenderer
Modifier and Type
Method
Description
`BaseRenderer`
LegendItemRenderingHints.`getRenderer()`
Constructors in org.eclipse.birt.chart.computation with parameters of type BaseRenderer
Modifier
Constructor
Description
``
`LegendItemRenderingHints(BaseRenderer _br, Bounds _boLegendGraphic)`

## Uses of BaseRenderer in org.eclipse.birt.chart.render

Subclasses of BaseRenderer in org.eclipse.birt.chart.render
Modifier and Type
Class
Description
`class`
`AxesRenderer`
Provides a base framework for custom series rendering extensions that are interested in being rendered in a pre-computed plot containing axes.
`final class`
`EmptyWithAxes`
This class implements an empty renderer for ChartWithAxes type.
`final class`
`EmptyWithoutAxes`
This class implements an empty renderer for ChartWithoutAxes type.
Methods in org.eclipse.birt.chart.render that return BaseRenderer
Modifier and Type
Method
Description
`final BaseRenderer`
BaseRenderer.`getRenderer(int iIndex)`
Provides access to any other renderer in the group that participates in chart rendering
`static final BaseRenderer[]`
BaseRenderer.`instances(Chart cm, RunTimeContext rtc, PlotComputation oComputations)`
This method returns appropriate renders for the given chart model.
Methods in org.eclipse.birt.chart.render with parameters of type BaseRenderer
Modifier and Type
Method
Description
`DeferredCache`
DeferredCacheManager.`createDeferredCache(BaseRenderer br, int cacheIndex)`
Create `DeferredCache` instance for current series.
`static List<double[]>`
CurveRenderer.`generateCurvePoints(BaseRenderer _render, Location[] loPoints, boolean connectMissingValue, double fXOffset, double fYOffset)`
Generates the points of curve line.
`final void`
BaseRenderer.`set(BaseRenderer[] _brna)`
Sets all associated renderers used for current chart rendering.
Constructors in org.eclipse.birt.chart.render with parameters of type BaseRenderer
Modifier
Constructor
Description
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, boolean _bShowAsTape, double _tapeWidth, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.
``
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, double _zeroLocation, boolean _bShowAsTape, double _tapeWidth, boolean _bFillArea, boolean _bTranslucent, boolean _bUseLastState, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.